package eu.akka.saem.alfresco.seda.v02.simpleType;

import eu.akka.saem.alfresco.seda.annotations.SEDA;

/**
 * 
 * 
**/

public enum AgencyIdentificationCodeContentType {

/**
 * CCC (Customs Co-operation Council)
 * Customs Co-operation Council (now World Customs Organization).
 **/ 
 @SEDA(PropertyTerm="1", FormName="CCC (Customs Co-operation Council)",FormDescription="Customs Co-operation Council (now World Customs Organization).")
NUM1,
/**
 * CEC (Commission of the European Communities)
 * Generic: see also 140, 141, 142, 162.
 **/ 
 @SEDA(PropertyTerm="2", FormName="CEC (Commission of the European Communities)",FormDescription="Generic: see also 140, 141, 142, 162.")
NUM2,
/**
 * IATA (International Air Transport Association)
 * The airline industry's international organisation.
 **/ 
 @SEDA(PropertyTerm="3", FormName="IATA (International Air Transport Association)",FormDescription="The airline industry's international organisation.")
NUM3,
/**
 * ICC (International Chamber of Commerce)
 * International Chamber of Commerce.
 **/ 
 @SEDA(PropertyTerm="4", FormName="ICC (International Chamber of Commerce)",FormDescription="International Chamber of Commerce.")
NUM4,
/**
 * ISO (International Organization for Standardization)
 * International Organization of Standardization.
 **/ 
 @SEDA(PropertyTerm="5", FormName="ISO (International Organization for Standardization)",FormDescription="International Organization of Standardization.")
NUM5,
/**
 * UN/ECE (United Nations - Economic Commission for Europe)
 * United Nations Economic Commission for Europe.
 **/ 
 @SEDA(PropertyTerm="6", FormName="UN/ECE (United Nations - Economic Commission for Europe)",FormDescription="United Nations Economic Commission for Europe.")
NUM6,
/**
 * CEFIC (Conseil Europeen des Federations de l'Industrie Chimique)
 * EDI project for chemical industry.
 **/ 
 @SEDA(PropertyTerm="7", FormName="CEFIC (Conseil Europeen des Federations de l'Industrie Chimique)",FormDescription="EDI project for chemical industry.")
NUM7,
/**
 * EDIFICE
 * Standardised electronic commerce forum for companies with interests in computing, electronics and telecommunications.
 **/ 
 @SEDA(PropertyTerm="8", FormName="EDIFICE",FormDescription="Standardised electronic commerce forum for companies with interests in computing, electronics and telecommunications.")
NUM8,
/**
 * GS1
 * GS1 (formerly EAN International), an organisation of GS1 Member Organisations, which manages the GS1 System
 **/ 
 @SEDA(PropertyTerm="9", FormName="GS1",FormDescription="GS1 (formerly EAN International), an organisation of GS1 Member Organisations, which manages the GS1 System")
NUM9,
/**
 * ODETTE
 * Organization for Data Exchange through Tele-Transmission in Europe (European automotive industry project).
 **/ 
 @SEDA(PropertyTerm="10", FormName="ODETTE",FormDescription="Organization for Data Exchange through Tele-Transmission in Europe (European automotive industry project).")
NUM10,
/**
 * Lloyd's register of shipping
 * A register of ocean going vessels maintained by Lloyd's of London.
 **/ 
 @SEDA(PropertyTerm="11", FormName="Lloyd's register of shipping",FormDescription="A register of ocean going vessels maintained by Lloyd's of London.")
NUM11,
/**
 * UIC (International union of railways)
 * International Union of Railways.
 **/ 
 @SEDA(PropertyTerm="12", FormName="UIC (International union of railways)",FormDescription="International Union of Railways.")
NUM12,
/**
 * ICAO (International Civil Aviation Organization)
 * International Civil Aviation Organization.
 **/ 
 @SEDA(PropertyTerm="13", FormName="ICAO (International Civil Aviation Organization)",FormDescription="International Civil Aviation Organization.")
NUM13,
/**
 * ICS (International Chamber of Shipping)
 * International Chamber of Shipping.
 **/ 
 @SEDA(PropertyTerm="14", FormName="ICS (International Chamber of Shipping)",FormDescription="International Chamber of Shipping.")
NUM14,
/**
 * RINET (Reinsurance and Insurance Network)
 * Reinsurance and Insurance Network.
 **/ 
 @SEDA(PropertyTerm="15", FormName="RINET (Reinsurance and Insurance Network)",FormDescription="Reinsurance and Insurance Network.")
NUM15,
/**
 * US, D&B (Dun & Bradstreet Corporation)
 * Identifies the Dun & Bradstreet Corporation, UnitedStates.
 **/ 
 @SEDA(PropertyTerm="16", FormName="US, D&B (Dun & Bradstreet Corporation)",FormDescription="Identifies the Dun & Bradstreet Corporation, UnitedStates.")
NUM16,
/**
 * S.W.I.F.T.
 * Society for Worldwide Interbank Financial Telecommunications s.c.
 **/ 
 @SEDA(PropertyTerm="17", FormName="S.W.I.F.T.",FormDescription="Society for Worldwide Interbank Financial Telecommunications s.c.")
NUM17,
/**
 * Conventions on SAD and transit (EC and EFTA)
 * SAD = Single Administrative Document.
 **/ 
 @SEDA(PropertyTerm="18", FormName="Conventions on SAD and transit (EC and EFTA)",FormDescription="SAD = Single Administrative Document.")
NUM18,
/**
 * FRRC (Federal Reserve Routing Code)
 * Federal Reserve Routing Code.
 **/ 
 @SEDA(PropertyTerm="19", FormName="FRRC (Federal Reserve Routing Code)",FormDescription="Federal Reserve Routing Code.")
NUM19,
/**
 * BIC (Bureau International des Containeurs)
 * The container industry's international organisation responsible for the issuance of container-related codes.
 **/ 
 @SEDA(PropertyTerm="20", FormName="BIC (Bureau International des Containeurs)",FormDescription="The container industry's international organisation responsible for the issuance of container-related codes.")
NUM20,
/**
 * Assigned by transport company
 * Codes assigned by a transport company.
 **/ 
 @SEDA(PropertyTerm="21", FormName="Assigned by transport company",FormDescription="Codes assigned by a transport company.")
NUM21,
/**
 * US, ISA (Information Systems Agreement)
 * Codes assigned by the ISA for use by its members.
 **/ 
 @SEDA(PropertyTerm="22", FormName="US, ISA (Information Systems Agreement)",FormDescription="Codes assigned by the ISA for use by its members.")
NUM22,
/**
 * FR, EDITRANSPORT
 * French association developing EDI in transport logistics.
 **/ 
 @SEDA(PropertyTerm="23", FormName="FR, EDITRANSPORT",FormDescription="French association developing EDI in transport logistics.")
NUM23,
/**
 * AU, ROA (Railways of Australia)
 * Maintains code lists which are accepted by Australian government railways.
 **/ 
 @SEDA(PropertyTerm="24", FormName="AU, ROA (Railways of Australia)",FormDescription="Maintains code lists which are accepted by Australian government railways.")
NUM24,
/**
 * EDITEX (Europe)
 * EDI group for the textile and clothing industry.
 **/ 
 @SEDA(PropertyTerm="25", FormName="EDITEX (Europe)",FormDescription="EDI group for the textile and clothing industry.")
NUM25,
/**
 * NL, Foundation Uniform Transport Code
 * Foundation Uniform Transport Code is the EDI organisation for shippers, carriers and other logistic service providers in the Netherlands.
 **/ 
 @SEDA(PropertyTerm="26", FormName="NL, Foundation Uniform Transport Code",FormDescription="Foundation Uniform Transport Code is the EDI organisation for shippers, carriers and other logistic service providers in the Netherlands.")
NUM26,
/**
 * US, FDA (Food and Drug Administration)
 * U.S. food and drug administration.
 **/ 
 @SEDA(PropertyTerm="27", FormName="US, FDA (Food and Drug Administration)",FormDescription="U.S. food and drug administration.")
NUM27,
/**
 * EDITEUR (European book sector electronic data interchange group)
 * Code identifying the pan European user group for the book industry as an organisation responsible for code values in the book industry.
 **/ 
 @SEDA(PropertyTerm="28", FormName="EDITEUR (European book sector electronic data interchange group)",FormDescription="Code identifying the pan European user group for the book industry as an organisation responsible for code values in the book industry.")
NUM28,
/**
 * GB, FLEETNET
 * Association of fleet vehicle hiring and leasing companies in the UK.
 **/ 
 @SEDA(PropertyTerm="29", FormName="GB, FLEETNET",FormDescription="Association of fleet vehicle hiring and leasing companies in the UK.")
NUM29,
/**
 * GB, ABTA (Association of British Travel Agencies)
 * ABTA, Association of British Travel Agencies.
 **/ 
 @SEDA(PropertyTerm="30", FormName="GB, ABTA (Association of British Travel Agencies)",FormDescription="ABTA, Association of British Travel Agencies.")
NUM30,
/**
 * FI, Finish State Railway
 * Finish State Railway.
 **/ 
 @SEDA(PropertyTerm="31", FormName="FI, Finish State Railway",FormDescription="Finish State Railway.")
NUM31,
/**
 * PL, Polish State Railway
 * Polish State Railway.
 **/ 
 @SEDA(PropertyTerm="32", FormName="PL, Polish State Railway",FormDescription="Polish State Railway.")
NUM32,
/**
 * BG, Bulgaria State Railway
 * Bulgaria State Railway.
 **/ 
 @SEDA(PropertyTerm="33", FormName="BG, Bulgaria State Railway",FormDescription="Bulgaria State Railway.")
NUM33,
/**
 * RO, Rumanian State Railway
 * Rumanian State Railway.
 **/ 
 @SEDA(PropertyTerm="34", FormName="RO, Rumanian State Railway",FormDescription="Rumanian State Railway.")
NUM34,
/**
 * CZ, Tchechian State Railway
 * Tchechian State Railway.
 **/ 
 @SEDA(PropertyTerm="35", FormName="CZ, Tchechian State Railway",FormDescription="Tchechian State Railway.")
NUM35,
/**
 * HU, Hungarian State Railway
 * Hungarian State Railway.
 **/ 
 @SEDA(PropertyTerm="36", FormName="HU, Hungarian State Railway",FormDescription="Hungarian State Railway.")
NUM36,
/**
 * GB, British Railways
 * British Railways.
 **/ 
 @SEDA(PropertyTerm="37", FormName="GB, British Railways",FormDescription="British Railways.")
NUM37,
/**
 * ES, Spanish National Railway
 * Spanish National Railway.
 **/ 
 @SEDA(PropertyTerm="38", FormName="ES, Spanish National Railway",FormDescription="Spanish National Railway.")
NUM38,
/**
 * SE, Swedish State Railway
 * Swedish State Railway.
 **/ 
 @SEDA(PropertyTerm="39", FormName="SE, Swedish State Railway",FormDescription="Swedish State Railway.")
NUM39,
/**
 * NO, Norwegian State Railway
 * Norwegian State Railway.
 **/ 
 @SEDA(PropertyTerm="40", FormName="NO, Norwegian State Railway",FormDescription="Norwegian State Railway.")
NUM40,
/**
 * DE, German Railway
 * German Railway.
 **/ 
 @SEDA(PropertyTerm="41", FormName="DE, German Railway",FormDescription="German Railway.")
NUM41,
/**
 * AT, Austrian Federal Railways
 * Austrian Federal Railways.
 **/ 
 @SEDA(PropertyTerm="42", FormName="AT, Austrian Federal Railways",FormDescription="Austrian Federal Railways.")
NUM42,
/**
 * LU, Luxembourg National Railway Company
 * Luxembourg National Railway Company.
 **/ 
 @SEDA(PropertyTerm="43", FormName="LU, Luxembourg National Railway Company",FormDescription="Luxembourg National Railway Company.")
NUM43,
/**
 * IT, Italian State Railways
 * Italian State Railways.
 **/ 
 @SEDA(PropertyTerm="44", FormName="IT, Italian State Railways",FormDescription="Italian State Railways.")
NUM44,
/**
 * NL, Netherlands Railways
 * Netherlands Railways.
 **/ 
 @SEDA(PropertyTerm="45", FormName="NL, Netherlands Railways",FormDescription="Netherlands Railways.")
NUM45,
/**
 * CH, Swiss Federal Railways
 * Swiss Federal Railways.
 **/ 
 @SEDA(PropertyTerm="46", FormName="CH, Swiss Federal Railways",FormDescription="Swiss Federal Railways.")
NUM46,
/**
 * DK, Danish State Railways
 * Danish State Railways.
 **/ 
 @SEDA(PropertyTerm="47", FormName="DK, Danish State Railways",FormDescription="Danish State Railways.")
NUM47,
/**
 * FR, French National Railway Company
 * French National Railway Company.
 **/ 
 @SEDA(PropertyTerm="48", FormName="FR, French National Railway Company",FormDescription="French National Railway Company.")
NUM48,
/**
 * BE, Belgian National Railway Company
 * Belgian National Railway Company.
 **/ 
 @SEDA(PropertyTerm="49", FormName="BE, Belgian National Railway Company",FormDescription="Belgian National Railway Company.")
NUM49,
/**
 * PT, Portuguese Railways
 * Portuguese Railways.
 **/ 
 @SEDA(PropertyTerm="50", FormName="PT, Portuguese Railways",FormDescription="Portuguese Railways.")
NUM50,
/**
 * SK, Slovakian State Railways
 * Slovakian State Railways.
 **/ 
 @SEDA(PropertyTerm="51", FormName="SK, Slovakian State Railways",FormDescription="Slovakian State Railways.")
NUM51,
/**
 * IE, Irish Transport Company
 * Irish Transport Company.
 **/ 
 @SEDA(PropertyTerm="52", FormName="IE, Irish Transport Company",FormDescription="Irish Transport Company.")
NUM52,
/**
 * FIATA (International Federation of Freight Forwarders Associations)
 * International Federation of Freight Forwarders Associations.
 **/ 
 @SEDA(PropertyTerm="53", FormName="FIATA (International Federation of Freight Forwarders Associations)",FormDescription="International Federation of Freight Forwarders Associations.")
NUM53,
/**
 * IMO (International Maritime Organisation)
 * International Maritime Organisation.
 **/ 
 @SEDA(PropertyTerm="54", FormName="IMO (International Maritime Organisation)",FormDescription="International Maritime Organisation.")
NUM54,
/**
 * US, DOT (United States Department of Transportation)
 * United States Department of Transportation.
 **/ 
 @SEDA(PropertyTerm="55", FormName="US, DOT (United States Department of Transportation)",FormDescription="United States Department of Transportation.")
NUM55,
/**
 * TW, Trade-van
 * Trade-van is an EDI/VAN service centre for customs, transport, and insurance in national and international trade.
 **/ 
 @SEDA(PropertyTerm="56", FormName="TW, Trade-van",FormDescription="Trade-van is an EDI/VAN service centre for customs, transport, and insurance in national and international trade.")
NUM56,
/**
 * TW, Chinese Taipei Customs
 * Customs authorities of Chinese Taipei responsible for collecting import duties and preventing smuggling.
 **/ 
 @SEDA(PropertyTerm="57", FormName="TW, Chinese Taipei Customs",FormDescription="Customs authorities of Chinese Taipei responsible for collecting import duties and preventing smuggling.")
NUM57,
/**
 * EUROFER
 * European steel organisation - EDI project for the European steel industry.
 **/ 
 @SEDA(PropertyTerm="58", FormName="EUROFER",FormDescription="European steel organisation - EDI project for the European steel industry.")
NUM58,
/**
 * DE, EDIBAU
 * National body responsible for the German codification in the construction area.
 **/ 
 @SEDA(PropertyTerm="59", FormName="DE, EDIBAU",FormDescription="National body responsible for the German codification in the construction area.")
NUM59,
/**
 * Assigned by national trade agency
 * The code list is from a national agency.
 **/ 
 @SEDA(PropertyTerm="60", FormName="Assigned by national trade agency",FormDescription="The code list is from a national agency.")
NUM60,
/**
 * Association Europeenne des Constructeurs de Materiel Aerospatial (AECMA)
 * A code to identify the Association Europeenne des Constructeurs de Materiel Aeropsatial (European Association of Aerospace Products Manufacturers) as anauthorizing agency for code lists.
 **/ 
 @SEDA(PropertyTerm="61", FormName="Association Europeenne des Constructeurs de Materiel Aerospatial (AECMA)",FormDescription="A code to identify the Association Europeenne des Constructeurs de Materiel Aeropsatial (European Association of Aerospace Products Manufacturers) as anauthorizing agency for code lists.")
NUM61,
/**
 * US, DIstilled Spirits Council of the United States (DISCUS)
 * United States DIstilled Spirits Council of the United States (DISCUS).
 **/ 
 @SEDA(PropertyTerm="62", FormName="US, DIstilled Spirits Council of the United States (DISCUS)",FormDescription="United States DIstilled Spirits Council of the United States (DISCUS).")
NUM62,
/**
 * North Atlantic Treaty Organization (NATO)
 * A code to identify the North Atlantic Treaty Organization (NATO) as an authorizing agency for code lists.
 **/ 
 @SEDA(PropertyTerm="63", FormName="North Atlantic Treaty Organization (NATO)",FormDescription="A code to identify the North Atlantic Treaty Organization (NATO) as an authorizing agency for code lists.")
NUM63,
/**
 * FR, EDIFRANCE
 * French association responsible for coordination and promotion of EDI application in France.
 **/ 
 @SEDA(PropertyTerm="64", FormName="FR, EDIFRANCE",FormDescription="French association responsible for coordination and promotion of EDI application in France.")
NUM64,
/**
 * GS1 France
 * Organisation responsible for the GS1 System in France.
 **/ 
 @SEDA(PropertyTerm="65", FormName="GS1 France",FormDescription="Organisation responsible for the GS1 System in France.")
NUM65,
/**
 * MY, Malaysian Customs and Excise
 * Malaysia Royal Customs and Excise.
 **/ 
 @SEDA(PropertyTerm="66", FormName="MY, Malaysian Customs and Excise",FormDescription="Malaysia Royal Customs and Excise.")
NUM66,
/**
 * MY, Malaysia Central Bank
 * Malaysia Central Bank is a regulatory body set up by the government to charge with promoting economic monetary and credit condition favourable to commercial andindustrial activity.
 **/ 
 @SEDA(PropertyTerm="67", FormName="MY, Malaysia Central Bank",FormDescription="Malaysia Central Bank is a regulatory body set up by the government to charge with promoting economic monetary and credit condition favourable to commercial andindustrial activity.")
NUM67,
/**
 * GS1 Italy
 * Organisation responsible for the GS1 System in Italy.
 **/ 
 @SEDA(PropertyTerm="68", FormName="GS1 Italy",FormDescription="Organisation responsible for the GS1 System in Italy.")
NUM68,
/**
 * US, National Alcohol Beverage Control Association (NABCA)
 * United States National Alcohol Beverage Control Association (NABCA).
 **/ 
 @SEDA(PropertyTerm="69", FormName="US, National Alcohol Beverage Control Association (NABCA)",FormDescription="United States National Alcohol Beverage Control Association (NABCA).")
NUM69,
/**
 * MY, Dagang.Net
 * Malaysia, Dagang.Net is a national clearing house which provide EDI/VAN service for customs, transport, retailand financial and other industries in the national and international trade.
 **/ 
 @SEDA(PropertyTerm="70", FormName="MY, Dagang.Net",FormDescription="Malaysia, Dagang.Net is a national clearing house which provide EDI/VAN service for customs, transport, retailand financial and other industries in the national and international trade.")
NUM70,
/**
 * US, FCC (Federal Communications Commission)
 * A code representing the United States Federal Communication Commission (FCC).
 **/ 
 @SEDA(PropertyTerm="71", FormName="US, FCC (Federal Communications Commission)",FormDescription="A code representing the United States Federal Communication Commission (FCC).")
NUM71,
/**
 * US, MARAD (Maritime Administration)
 * A code representing the United States Maritime Administration (MARAD) under the Department ofTransportation (DOT).
 **/ 
 @SEDA(PropertyTerm="72", FormName="US, MARAD (Maritime Administration)",FormDescription="A code representing the United States Maritime Administration (MARAD) under the Department ofTransportation (DOT).")
NUM72,
/**
 * US, DSAA (Defense Security Assistance Agency)
 * A code representing the United States Defense Security Assistance Agency (DSAA) under the Department of Defense (DOD).
 **/ 
 @SEDA(PropertyTerm="73", FormName="US, DSAA (Defense Security Assistance Agency)",FormDescription="A code representing the United States Defense Security Assistance Agency (DSAA) under the Department of Defense (DOD).")
NUM73,
/**
 * US, NRC (Nuclear Regulatory Commission)
 * A code representing the United States Nuclear Regulatory Commission (NRC).
 **/ 
 @SEDA(PropertyTerm="74", FormName="US, NRC (Nuclear Regulatory Commission)",FormDescription="A code representing the United States Nuclear Regulatory Commission (NRC).")
NUM74,
/**
 * US, ODTC (Office of Defense Trade Controls)
 * A code representing the United States Office of Defense Trade Controls (ODTC) under the Department of State.
 **/ 
 @SEDA(PropertyTerm="75", FormName="US, ODTC (Office of Defense Trade Controls)",FormDescription="A code representing the United States Office of Defense Trade Controls (ODTC) under the Department of State.")
NUM75,
/**
 * US, ATF (Bureau of Alcohol, Tobacco and Firearms)
 * A code representing the United States Bureau of Alcohol, Tobacco and Firearms, Department of Treasury (ATF).
 **/ 
 @SEDA(PropertyTerm="76", FormName="US, ATF (Bureau of Alcohol, Tobacco and Firearms)",FormDescription="A code representing the United States Bureau of Alcohol, Tobacco and Firearms, Department of Treasury (ATF).")
NUM76,
/**
 * US, BXA (Bureau of Export Administration)
 * A code representing the United States Bureau of Export Administration (BXA) under the Department of Commerce (DOC) .
 **/ 
 @SEDA(PropertyTerm="77", FormName="US, BXA (Bureau of Export Administration)",FormDescription="A code representing the United States Bureau of Export Administration (BXA) under the Department of Commerce (DOC) .")
NUM77,
/**
 * US, FWS (Fish and Wildlife Service)
 * A code depicting the United States Fish and Wildlife Service (FWS).
 **/ 
 @SEDA(PropertyTerm="78", FormName="US, FWS (Fish and Wildlife Service)",FormDescription="A code depicting the United States Fish and Wildlife Service (FWS).")
NUM78,
/**
 * US, OFAC (Office of Foreign Assets Control)
 * A code representing the United States Office of Foreign Assets Controls (OFAC).
 **/ 
 @SEDA(PropertyTerm="79", FormName="US, OFAC (Office of Foreign Assets Control)",FormDescription="A code representing the United States Office of Foreign Assets Controls (OFAC).")
NUM79,
/**
 * BRMA/RAA - LIMNET - RINET Joint Venture
 * Joint venture between BRMA (Brokers & Reinsurance Markets Association) / RAA (Reinsurance Association of America) - LIMNET (London Insurance Market Network) - RINET (Reinsurance and Insurance Network).
 **/ 
 @SEDA(PropertyTerm="80", FormName="BRMA/RAA - LIMNET - RINET Joint Venture",FormDescription="Joint venture between BRMA (Brokers & Reinsurance Markets Association) / RAA (Reinsurance Association of America) - LIMNET (London Insurance Market Network) - RINET (Reinsurance and Insurance Network).")
NUM80,
/**
 * RU, (SFT) Society for Financial Telecommunications
 * Russian company representing the users of the Global Financial Telecommunication Network (GFTN).
 **/ 
 @SEDA(PropertyTerm="81", FormName="RU, (SFT) Society for Financial Telecommunications",FormDescription="Russian company representing the users of the Global Financial Telecommunication Network (GFTN).")
NUM81,
/**
 * NO, Enhetsregisteret ved Bronnoysundregisterne
 * The co-ordinating register for companies and business units of companies at the Bronnoysund register centre.
 **/ 
 @SEDA(PropertyTerm="82", FormName="NO, Enhetsregisteret ved Bronnoysundregisterne",FormDescription="The co-ordinating register for companies and business units of companies at the Bronnoysund register centre.")
NUM82,
/**
 * US, National Retail Federation
 * The National Retail Federation is the trade association for the general merchandise retailing industry. In addition to providing support and education services, they also maintain and publish standard colour and size codes for the retail industry.
 **/ 
 @SEDA(PropertyTerm="83", FormName="US, National Retail Federation",FormDescription="The National Retail Federation is the trade association for the general merchandise retailing industry. In addition to providing support and education services, they also maintain and publish standard colour and size codes for the retail industry.")
NUM83,
/**
 * DE, BRD (Gesetzgeber der Bundesrepublik Deutschland)
 * German legislature.
 **/ 
 @SEDA(PropertyTerm="84", FormName="DE, BRD (Gesetzgeber der Bundesrepublik Deutschland)",FormDescription="German legislature.")
NUM84,
/**
 * North America, Telecommunications Industry Forum
 * Trade association representing telecommunications service providers, equipment manufacturers, suppliers to the industry and customers.
 **/ 
 @SEDA(PropertyTerm="85", FormName="North America, Telecommunications Industry Forum",FormDescription="Trade association representing telecommunications service providers, equipment manufacturers, suppliers to the industry and customers.")
NUM85,
/**
 * Assigned by party originating the message
 * Codes assigned by the party originating the message.
 **/ 
 @SEDA(PropertyTerm="86", FormName="Assigned by party originating the message",FormDescription="Codes assigned by the party originating the message.")
NUM86,
/**
 * Assigned by carrier
 * Codes assigned by the carrier.
 **/ 
 @SEDA(PropertyTerm="87", FormName="Assigned by carrier",FormDescription="Codes assigned by the carrier.")
NUM87,
/**
 * Assigned by owner of operation
 * Assigned by owner of operation (e.g. used inconstruction).
 **/ 
 @SEDA(PropertyTerm="88", FormName="Assigned by owner of operation",FormDescription="Assigned by owner of operation (e.g. used inconstruction).")
NUM88,
/**
 * Assigned by distributor
 * Codes assigned by a distributor.
 **/ 
 @SEDA(PropertyTerm="89", FormName="Assigned by distributor",FormDescription="Codes assigned by a distributor.")
NUM89,
/**
 * Assigned by manufacturer
 * Codes assigned by a manufacturer.
 **/ 
 @SEDA(PropertyTerm="90", FormName="Assigned by manufacturer",FormDescription="Codes assigned by a manufacturer.")
NUM90,
/**
 * Assigned by seller or seller's agent
 * Codes assigned by a seller or seller's agent.
 **/ 
 @SEDA(PropertyTerm="91", FormName="Assigned by seller or seller's agent",FormDescription="Codes assigned by a seller or seller's agent.")
NUM91,
/**
 * Assigned by buyer or buyer's agent
 * Codes assigned by a buyer or buyer's agent.
 **/ 
 @SEDA(PropertyTerm="92", FormName="Assigned by buyer or buyer's agent",FormDescription="Codes assigned by a buyer or buyer's agent.")
NUM92,
/**
 * AT, Austrian Customs
 * Austrian customs organization.
 **/ 
 @SEDA(PropertyTerm="93", FormName="AT, Austrian Customs",FormDescription="Austrian customs organization.")
NUM93,
/**
 * AT, Austrian PTT
 * The Austrian organization responsible for assigning telephone (voice/data) + telex numbers, postcodes, and postal account numbers.
 **/ 
 @SEDA(PropertyTerm="94", FormName="AT, Austrian PTT",FormDescription="The Austrian organization responsible for assigning telephone (voice/data) + telex numbers, postcodes, and postal account numbers.")
NUM94,
/**
 * AU, Australian Customs Service
 * Australian Customs Service.
 **/ 
 @SEDA(PropertyTerm="95", FormName="AU, Australian Customs Service",FormDescription="Australian Customs Service.")
NUM95,
/**
 * CA, Revenue Canada, Customs and Excise
 * Canada Customs and Revenue Agency.
 **/ 
 @SEDA(PropertyTerm="96", FormName="CA, Revenue Canada, Customs and Excise",FormDescription="Canada Customs and Revenue Agency.")
NUM96,
/**
 * CH, Administration federale des contributions
 * Indirect taxation (e.g. turn-over/sales taxes).
 **/ 
 @SEDA(PropertyTerm="97", FormName="CH, Administration federale des contributions",FormDescription="Indirect taxation (e.g. turn-over/sales taxes).")
NUM97,
/**
 * CH, Direction generale des douanes
 * Customs (incl. ISO alpha 2 country code).
 **/ 
 @SEDA(PropertyTerm="98", FormName="CH, Direction generale des douanes",FormDescription="Customs (incl. ISO alpha 2 country code).")
NUM98,
/**
 * CH, Division des importations et exportations, OFAEE
 * Import and export licences.
 **/ 
 @SEDA(PropertyTerm="99", FormName="CH, Division des importations et exportations, OFAEE",FormDescription="Import and export licences.")
NUM99,
/**
 * CH, Entreprise des PTT
 * Telephone (voice/data) + telex numbers, postcodes, postal account numbers.
 **/ 
 @SEDA(PropertyTerm="100", FormName="CH, Entreprise des PTT",FormDescription="Telephone (voice/data) + telex numbers, postcodes, postal account numbers.")
NUM100,
/**
 * CH, Carbura
 * Centrale suisse pour l'importation de carburants et combustibles liquides (Oil products).
 **/ 
 @SEDA(PropertyTerm="101", FormName="CH, Carbura",FormDescription="Centrale suisse pour l'importation de carburants et combustibles liquides (Oil products).")
NUM101,
/**
 * CH, Centrale suisse pour l'importation du charbon
 * Coal.
 **/ 
 @SEDA(PropertyTerm="102", FormName="CH, Centrale suisse pour l'importation du charbon",FormDescription="Coal.")
NUM102,
/**
 * CH, Office fiduciaire des importateurs de denrees alimentaires
 * Foodstuff.
 **/ 
 @SEDA(PropertyTerm="103", FormName="CH, Office fiduciaire des importateurs de denrees alimentaires",FormDescription="Foodstuff.")
NUM103,
/**
 * CH, Association suisse code des articles
 * Swiss article numbering association.
 **/ 
 @SEDA(PropertyTerm="104", FormName="CH, Association suisse code des articles",FormDescription="Swiss article numbering association.")
NUM104,
/**
 * DK, Ministry of taxation, Central Customs and Tax Administration
 * Danish Customs administration.
 **/ 
 @SEDA(PropertyTerm="105", FormName="DK, Ministry of taxation, Central Customs and Tax Administration",FormDescription="Danish Customs administration.")
NUM105,
/**
 * FR, Direction generale des douanes et droits indirects
 * French Customs.
 **/ 
 @SEDA(PropertyTerm="106", FormName="FR, Direction generale des douanes et droits indirects",FormDescription="French Customs.")
NUM106,
/**
 * FR, INSEE
 * Institut National de la Statistique et des Etudes Economiques.
 **/ 
 @SEDA(PropertyTerm="107", FormName="FR, INSEE",FormDescription="Institut National de la Statistique et des Etudes Economiques.")
NUM107,
/**
 * FR, Banque de France
 * Banque de France.
 **/ 
 @SEDA(PropertyTerm="108", FormName="FR, Banque de France",FormDescription="Banque de France.")
NUM108,
/**
 * GB, H.M. Customs & Excise
 * United Kingdom H.M. Customs and Excise.
 **/ 
 @SEDA(PropertyTerm="109", FormName="GB, H.M. Customs & Excise",FormDescription="United Kingdom H.M. Customs and Excise.")
NUM109,
/**
 * IE, Revenue Commissioners, Customs AEP project
 * Ireland Revenue Commissioners Customs Automated Entry Processing project.
 **/ 
 @SEDA(PropertyTerm="110", FormName="IE, Revenue Commissioners, Customs AEP project",FormDescription="Ireland Revenue Commissioners Customs Automated Entry Processing project.")
NUM110,
/**
 * US, U.S. Customs Service
 * United States Customs Service.
 **/ 
 @SEDA(PropertyTerm="111", FormName="US, U.S. Customs Service",FormDescription="United States Customs Service.")
NUM111,
/**
 * US, U.S. Census Bureau
 * The Bureau of the Census of the U.S. Dept. of Commerce.
 **/ 
 @SEDA(PropertyTerm="112", FormName="US, U.S. Census Bureau",FormDescription="The Bureau of the Census of the U.S. Dept. of Commerce.")
NUM112,
/**
 * GS1 US
 * Organisation responsible for the GS1 System in the USA.
 **/ 
 @SEDA(PropertyTerm="113", FormName="GS1 US",FormDescription="Organisation responsible for the GS1 System in the USA.")
NUM113,
/**
 * US, ABA (American Bankers Association)
 * United States American Bankers Association.
 **/ 
 @SEDA(PropertyTerm="114", FormName="US, ABA (American Bankers Association)",FormDescription="United States American Bankers Association.")
NUM114,
/**
 * US, ANSI ASC X12
 * American National Standards Institute ASC X12.
 **/ 
 @SEDA(PropertyTerm="116", FormName="US, ANSI ASC X12",FormDescription="American National Standards Institute ASC X12.")
NUM116,
/**
 * AT, Geldausgabeautomaten-Service Gesellschaft m.b.H.
 * Austrian Geldausgabeautomaten-Service Gesellschaft m.b.H.
 **/ 
 @SEDA(PropertyTerm="117", FormName="AT, Geldausgabeautomaten-Service Gesellschaft m.b.H.",FormDescription="Austrian Geldausgabeautomaten-Service Gesellschaft m.b.H.")
NUM117,
/**
 * SE, Svenska Bankfoereningen
 * Swedish bankers association.
 **/ 
 @SEDA(PropertyTerm="118", FormName="SE, Svenska Bankfoereningen",FormDescription="Swedish bankers association.")
NUM118,
/**
 * IT, Associazione Bancaria Italiana
 * Italian Associazione Bancaria Italiana.
 **/ 
 @SEDA(PropertyTerm="119", FormName="IT, Associazione Bancaria Italiana",FormDescription="Italian Associazione Bancaria Italiana.")
NUM119,
/**
 * IT, Socieata' Interbancaria per l'Automazione
 * Italian Socieata' Interbancaria per l'Automazione.
 **/ 
 @SEDA(PropertyTerm="120", FormName="IT, Socieata' Interbancaria per l'Automazione",FormDescription="Italian Socieata' Interbancaria per l'Automazione.")
NUM120,
/**
 * CH, Telekurs AG
 * Swiss Telekurs AG.
 **/ 
 @SEDA(PropertyTerm="121", FormName="CH, Telekurs AG",FormDescription="Swiss Telekurs AG.")
NUM121,
/**
 * CH, Swiss Securities Clearing Corporation
 * Swiss Securities Clearing Corporation.
 **/ 
 @SEDA(PropertyTerm="122", FormName="CH, Swiss Securities Clearing Corporation",FormDescription="Swiss Securities Clearing Corporation.")
NUM122,
/**
 * NO, Norwegian Interbank Research Organization
 * Norwegian Interbank Research Organization.
 **/ 
 @SEDA(PropertyTerm="123", FormName="NO, Norwegian Interbank Research Organization",FormDescription="Norwegian Interbank Research Organization.")
NUM123,
/**
 * NO, Norwegian Bankers' Association
 * Norwegian Bankers' Association.
 **/ 
 @SEDA(PropertyTerm="124", FormName="NO, Norwegian Bankers' Association",FormDescription="Norwegian Bankers' Association.")
NUM124,
/**
 * FI, The Finnish Bankers' Association
 * Finnish Bankers' Association.
 **/ 
 @SEDA(PropertyTerm="125", FormName="FI, The Finnish Bankers' Association",FormDescription="Finnish Bankers' Association.")
NUM125,
/**
 * US, NCCMA (Account Analysis Codes)
 * The United States organization responsible for issuing account analysis codes.
 **/ 
 @SEDA(PropertyTerm="126", FormName="US, NCCMA (Account Analysis Codes)",FormDescription="The United States organization responsible for issuing account analysis codes.")
NUM126,
/**
 * DE, ARE (AbRechnungs Einheit)
 * A German code for subsidiary unit number.
 **/ 
 @SEDA(PropertyTerm="127", FormName="DE, ARE (AbRechnungs Einheit)",FormDescription="A German code for subsidiary unit number.")
NUM127,
/**
 * BE, Belgian Bankers' Association
 * Belgian Bankers' Association.
 **/ 
 @SEDA(PropertyTerm="128", FormName="BE, Belgian Bankers' Association",FormDescription="Belgian Bankers' Association.")
NUM128,
/**
 * BE, Belgian Ministry of Finance
 * VAT numbers.
 **/ 
 @SEDA(PropertyTerm="129", FormName="BE, Belgian Ministry of Finance",FormDescription="VAT numbers.")
NUM129,
/**
 * DK, Danish Bankers Association
 * Code identifying the organisation responsible for the issuance of bank related codes in Denmark.
 **/ 
 @SEDA(PropertyTerm="130", FormName="DK, Danish Bankers Association",FormDescription="Code identifying the organisation responsible for the issuance of bank related codes in Denmark.")
NUM130,
/**
 * DE, German Bankers Association
 * German Bankers' Association.
 **/ 
 @SEDA(PropertyTerm="131", FormName="DE, German Bankers Association",FormDescription="German Bankers' Association.")
NUM131,
/**
 * GB, BACS Limited
 * An organization that operates the United Kingdom's electronic fund transfer service on behalf of the major Banks and Building Societies.
 **/ 
 @SEDA(PropertyTerm="132", FormName="GB, BACS Limited",FormDescription="An organization that operates the United Kingdom's electronic fund transfer service on behalf of the major Banks and Building Societies.")
NUM132,
/**
 * GB, Association for Payment Clearing Services
 * British Association for Payment Clearing Services.
 **/ 
 @SEDA(PropertyTerm="133", FormName="GB, Association for Payment Clearing Services",FormDescription="British Association for Payment Clearing Services.")
NUM133,
/**
 * GB, APACS (Association of payment clearing services)
 * The association which manages the United Kingdom payment clearing system, and among other thing manages the UK bank sort code numbering system.
 **/ 
 @SEDA(PropertyTerm="134", FormName="GB, APACS (Association of payment clearing services)",FormDescription="The association which manages the United Kingdom payment clearing system, and among other thing manages the UK bank sort code numbering system.")
NUM134,
/**
 * GB, The Clearing House
 * British financial transaction clearing house.
 **/ 
 @SEDA(PropertyTerm="135", FormName="GB, The Clearing House",FormDescription="British financial transaction clearing house.")
NUM135,
/**
 * GS1 UK
 * Organisation responsible for the GS1 System in the United Kingdom.
 **/ 
 @SEDA(PropertyTerm="136", FormName="GS1 UK",FormDescription="Organisation responsible for the GS1 System in the United Kingdom.")
NUM136,
/**
 * AT, Verband oesterreichischer Banken und Bankiers
 * Austrian bankers association.
 **/ 
 @SEDA(PropertyTerm="137", FormName="AT, Verband oesterreichischer Banken und Bankiers",FormDescription="Austrian bankers association.")
NUM137,
/**
 * FR, CFONB (Comite francais d'organ. et de normalisation bancaires)
 * National body responsible for the French codification in banking activity.
 **/ 
 @SEDA(PropertyTerm="138", FormName="FR, CFONB (Comite francais d'organ. et de normalisation bancaires)",FormDescription="National body responsible for the French codification in banking activity.")
NUM138,
/**
 * Universal Postal Union (UPU)
 * The Universal Postal Union (UPU) is an international organization that coordinates postal policies between member nations, and hence the world-wide postal system.
 **/ 
 @SEDA(PropertyTerm="139", FormName="Universal Postal Union (UPU)",FormDescription="The Universal Postal Union (UPU) is an international organization that coordinates postal policies between member nations, and hence the world-wide postal system.")
NUM139,
/**
 * CEC (Commission of the European Communities), DG/XXI-01
 * Responsible for computerization within Customs area.
 **/ 
 @SEDA(PropertyTerm="140", FormName="CEC (Commission of the European Communities), DG/XXI-01",FormDescription="Responsible for computerization within Customs area.")
NUM140,
/**
 * CEC (Commission of the European Communities), DG/XXI-B-1
 * International Commission of the European Communities.
 **/ 
 @SEDA(PropertyTerm="141", FormName="CEC (Commission of the European Communities), DG/XXI-B-1",FormDescription="International Commission of the European Communities.")
NUM141,
/**
 * CEC (Commission of the European Communities), DG/XXXIV
 * Statistical Office of the European Communities: e.g.Geonomenclature.
 **/ 
 @SEDA(PropertyTerm="142", FormName="CEC (Commission of the European Communities), DG/XXXIV",FormDescription="Statistical Office of the European Communities: e.g.Geonomenclature.")
NUM142,
/**
 * NZ, New Zealand Customs
 * New Zealand Customs.
 **/ 
 @SEDA(PropertyTerm="143", FormName="NZ, New Zealand Customs",FormDescription="New Zealand Customs.")
NUM143,
/**
 * NL, Netherlands Customs
 * Netherlands Customs.
 **/ 
 @SEDA(PropertyTerm="144", FormName="NL, Netherlands Customs",FormDescription="Netherlands Customs.")
NUM144,
/**
 * SE, Swedish Customs
 * Swedish Customs.
 **/ 
 @SEDA(PropertyTerm="145", FormName="SE, Swedish Customs",FormDescription="Swedish Customs.")
NUM145,
/**
 * DE, German Customs
 * German Customs.
 **/ 
 @SEDA(PropertyTerm="146", FormName="DE, German Customs",FormDescription="German Customs.")
NUM146,
/**
 * BE, Belgian Customs
 * Belgian Customs.
 **/ 
 @SEDA(PropertyTerm="147", FormName="BE, Belgian Customs",FormDescription="Belgian Customs.")
NUM147,
/**
 * ES, Spanish Customs
 * Spanish Customs.
 **/ 
 @SEDA(PropertyTerm="148", FormName="ES, Spanish Customs",FormDescription="Spanish Customs.")
NUM148,
/**
 * IL, Israel Customs
 * Israeli Customs.
 **/ 
 @SEDA(PropertyTerm="149", FormName="IL, Israel Customs",FormDescription="Israeli Customs.")
NUM149,
/**
 * HK, Hong Kong Customs
 * Hong Kong Customs.
 **/ 
 @SEDA(PropertyTerm="150", FormName="HK, Hong Kong Customs",FormDescription="Hong Kong Customs.")
NUM150,
/**
 * JP, Japan Customs
 * Japan Customs.
 **/ 
 @SEDA(PropertyTerm="151", FormName="JP, Japan Customs",FormDescription="Japan Customs.")
NUM151,
/**
 * SA, Saudi Arabia Customs
 * Saudi Arabia Customs.
 **/ 
 @SEDA(PropertyTerm="152", FormName="SA, Saudi Arabia Customs",FormDescription="Saudi Arabia Customs.")
NUM152,
/**
 * IT, Italian Customs
 * Italian Customs.
 **/ 
 @SEDA(PropertyTerm="153", FormName="IT, Italian Customs",FormDescription="Italian Customs.")
NUM153,
/**
 * GR, Greek Customs
 * Greek Customs.
 **/ 
 @SEDA(PropertyTerm="154", FormName="GR, Greek Customs",FormDescription="Greek Customs.")
NUM154,
/**
 * PT, Portuguese Customs
 * Portuguese Customs.
 **/ 
 @SEDA(PropertyTerm="155", FormName="PT, Portuguese Customs",FormDescription="Portuguese Customs.")
NUM155,
/**
 * LU, Luxembourg Customs
 * Luxembourg Customs.
 **/ 
 @SEDA(PropertyTerm="156", FormName="LU, Luxembourg Customs",FormDescription="Luxembourg Customs.")
NUM156,
/**
 * NO, Norwegian Customs
 * Norwegian Customs.
 **/ 
 @SEDA(PropertyTerm="157", FormName="NO, Norwegian Customs",FormDescription="Norwegian Customs.")
NUM157,
/**
 * FI, Finnish Customs
 * Finnish Customs.
 **/ 
 @SEDA(PropertyTerm="158", FormName="FI, Finnish Customs",FormDescription="Finnish Customs.")
NUM158,
/**
 * IS, Iceland Customs
 * Iceland Customs.
 **/ 
 @SEDA(PropertyTerm="159", FormName="IS, Iceland Customs",FormDescription="Iceland Customs.")
NUM159,
/**
 * LI, Liechtenstein authority
 * Identification of relevant responsible agency for e.g. banking/financial matters still pending. For e.g. Customs, currency, post/telephone: see relevant CH entry.
 **/ 
 @SEDA(PropertyTerm="160", FormName="LI, Liechtenstein authority",FormDescription="Identification of relevant responsible agency for e.g. banking/financial matters still pending. For e.g. Customs, currency, post/telephone: see relevant CH entry.")
NUM160,
/**
 * UNCTAD (United Nations - Conference on Trade And Development)
 * United Nations - Conference on Trade And Development.
 **/ 
 @SEDA(PropertyTerm="161", FormName="UNCTAD (United Nations - Conference on Trade And Development)",FormDescription="United Nations - Conference on Trade And Development.")
NUM161,
/**
 * CEC (Commission of the European Communities), DG/XIII-D-5
 * Responsible for TEDIS - incl. CEBIS -, INSIS and CADDIA projects.
 **/ 
 @SEDA(PropertyTerm="162", FormName="CEC (Commission of the European Communities), DG/XIII-D-5",FormDescription="Responsible for TEDIS - incl. CEBIS -, INSIS and CADDIA projects.")
NUM162,
/**
 * US, FMC (Federal Maritime Commission)
 * United States Federal Maritime Commission.
 **/ 
 @SEDA(PropertyTerm="163", FormName="US, FMC (Federal Maritime Commission)",FormDescription="United States Federal Maritime Commission.")
NUM163,
/**
 * US, DEA (Drug Enforcement Agency)
 * United States Drug Enforcement Agency.
 **/ 
 @SEDA(PropertyTerm="164", FormName="US, DEA (Drug Enforcement Agency)",FormDescription="United States Drug Enforcement Agency.")
NUM164,
/**
 * US, DCI (Distribution Codes, INC.)
 * United States Distribution Codes, Inc. organization.
 **/ 
 @SEDA(PropertyTerm="165", FormName="US, DCI (Distribution Codes, INC.)",FormDescription="United States Distribution Codes, Inc. organization.")
NUM165,
/**
 * US, National Motor Freight Classification Association
 * The organisation in the USA which is responsible for code maintenance in the trucking industry.
 **/ 
 @SEDA(PropertyTerm="166", FormName="US, National Motor Freight Classification Association",FormDescription="The organisation in the USA which is responsible for code maintenance in the trucking industry.")
NUM166,
/**
 * US, AIAG (Automotive Industry Action Group)
 * United States Automotive Industry Action Group.
 **/ 
 @SEDA(PropertyTerm="167", FormName="US, AIAG (Automotive Industry Action Group)",FormDescription="United States Automotive Industry Action Group.")
NUM167,
/**
 * US, FIPS (Federal Information Publishing Standard)
 * A code issued by the United States National Institute for Science and Technology (NIST) to identify a Federal Information Publishing Standard.
 **/ 
 @SEDA(PropertyTerm="168", FormName="US, FIPS (Federal Information Publishing Standard)",FormDescription="A code issued by the United States National Institute for Science and Technology (NIST) to identify a Federal Information Publishing Standard.")
NUM168,
/**
 * CA, SCC (Standards Council of Canada)
 * Standards Council of Canada.
 **/ 
 @SEDA(PropertyTerm="169", FormName="CA, SCC (Standards Council of Canada)",FormDescription="Standards Council of Canada.")
NUM169,
/**
 * CA, CPA (Canadian Payment Association)
 * Canadian Payment Association.
 **/ 
 @SEDA(PropertyTerm="170", FormName="CA, CPA (Canadian Payment Association)",FormDescription="Canadian Payment Association.")
NUM170,
/**
 * NL, Interpay Girale Services
 * Interpay Girale Services.
 **/ 
 @SEDA(PropertyTerm="171", FormName="NL, Interpay Girale Services",FormDescription="Interpay Girale Services.")
NUM171,
/**
 * NL, Interpay Debit Card Services
 * Interpay Debit Card Services.
 **/ 
 @SEDA(PropertyTerm="172", FormName="NL, Interpay Debit Card Services",FormDescription="Interpay Debit Card Services.")
NUM172,
/**
 * NO, NORPRO
 * Norwegian electronic data interchange standards organization.
 **/ 
 @SEDA(PropertyTerm="173", FormName="NO, NORPRO",FormDescription="Norwegian electronic data interchange standards organization.")
NUM173,
/**
 * DE, DIN (Deutsches Institut fuer Normung)
 * German standardization institute.
 **/ 
 @SEDA(PropertyTerm="174", FormName="DE, DIN (Deutsches Institut fuer Normung)",FormDescription="German standardization institute.")
NUM174,
/**
 * FCI (Factors Chain International)
 * Factors Chain International.
 **/ 
 @SEDA(PropertyTerm="175", FormName="FCI (Factors Chain International)",FormDescription="Factors Chain International.")
NUM175,
/**
 * BR, Banco Central do Brazil
 * Brazilian central bank.
 **/ 
 @SEDA(PropertyTerm="176", FormName="BR, Banco Central do Brazil",FormDescription="Brazilian central bank.")
NUM176,
/**
 * AU, LIFA (Life Insurance Federation of Australia)
 * Life Insurance Federation of Australia.
 **/ 
 @SEDA(PropertyTerm="177", FormName="AU, LIFA (Life Insurance Federation of Australia)",FormDescription="Life Insurance Federation of Australia.")
NUM177,
/**
 * AU, SAA (Standards Association of Australia)
 * Standards Association of Australia.
 **/ 
 @SEDA(PropertyTerm="178", FormName="AU, SAA (Standards Association of Australia)",FormDescription="Standards Association of Australia.")
NUM178,
/**
 * US, Air transport association of America
 * U.S. -based trade association representing the major North American scheduled airlines.
 **/ 
 @SEDA(PropertyTerm="179", FormName="US, Air transport association of America",FormDescription="U.S. -based trade association representing the major North American scheduled airlines.")
NUM179,
/**
 * DE, BIA (Berufsgenossenschaftliches Institut fuer Arbeitssicherheit)
 * German institute of the workmen's compensation board.
 **/ 
 @SEDA(PropertyTerm="180", FormName="DE, BIA (Berufsgenossenschaftliches Institut fuer Arbeitssicherheit)",FormDescription="German institute of the workmen's compensation board.")
NUM180,
/**
 * Edibuild
 * EDI organization for companies in the construction industry.
 **/ 
 @SEDA(PropertyTerm="181", FormName="Edibuild",FormDescription="EDI organization for companies in the construction industry.")
NUM181,
/**
 * US, Standard Carrier Alpha Code (Motor)
 * Organisation maintaining the SCAC lists and transportation operating in North America.
 **/ 
 @SEDA(PropertyTerm="182", FormName="US, Standard Carrier Alpha Code (Motor)",FormDescription="Organisation maintaining the SCAC lists and transportation operating in North America.")
NUM182,
/**
 * US, American Petroleum Institute
 * US-based trade association representing oil and natural gas producers, shippers, refineries, marketers, and major suppliers to the industry.
 **/ 
 @SEDA(PropertyTerm="183", FormName="US, American Petroleum Institute",FormDescription="US-based trade association representing oil and natural gas producers, shippers, refineries, marketers, and major suppliers to the industry.")
NUM183,
/**
 * AU, ACOS (Australian Chamber of Shipping)
 * The national organisation for the maritime industry inAustralia.
 **/ 
 @SEDA(PropertyTerm="184", FormName="AU, ACOS (Australian Chamber of Shipping)",FormDescription="The national organisation for the maritime industry inAustralia.")
NUM184,
/**
 * DE, BDI (Bundesverband der Deutschen Industrie e.V.)
 * German industry association.
 **/ 
 @SEDA(PropertyTerm="185", FormName="DE, BDI (Bundesverband der Deutschen Industrie e.V.)",FormDescription="German industry association.")
NUM185,
/**
 * US, GSA (General Services Administration)
 * The US General Services Administration.
 **/ 
 @SEDA(PropertyTerm="186", FormName="US, GSA (General Services Administration)",FormDescription="The US General Services Administration.")
NUM186,
/**
 * US, DLMSO (Defense Logistics Management Standards Office)
 * The Defense Logistics Management Standards Office.
 **/ 
 @SEDA(PropertyTerm="187", FormName="US, DLMSO (Defense Logistics Management Standards Office)",FormDescription="The Defense Logistics Management Standards Office.")
NUM187,
/**
 * US, NIST (National Institute of Standards and Technology)
 * The US National Institute of Standards and Technology.
 **/ 
 @SEDA(PropertyTerm="188", FormName="US, NIST (National Institute of Standards and Technology)",FormDescription="The US National Institute of Standards and Technology.")
NUM188,
/**
 * US, DoD (Department of Defense)
 * The US Department of Defense.
 **/ 
 @SEDA(PropertyTerm="189", FormName="US, DoD (Department of Defense)",FormDescription="The US Department of Defense.")
NUM189,
/**
 * US, VA (Department of Veterans Affairs)
 * The Department of Veterans Affairs.
 **/ 
 @SEDA(PropertyTerm="190", FormName="US, VA (Department of Veterans Affairs)",FormDescription="The Department of Veterans Affairs.")
NUM190,
/**
 * IAPSO (United Nations Inter-Agency Procurement Services Office)
 * United Nations organization responsible for maintaining the United Nations Common Coding System (UNCCS) which isused extensively by UN agencies in procurement and statistical analysis.
 **/ 
 @SEDA(PropertyTerm="191", FormName="IAPSO (United Nations Inter-Agency Procurement Services Office)",FormDescription="United Nations organization responsible for maintaining the United Nations Common Coding System (UNCCS) which isused extensively by UN agencies in procurement and statistical analysis.")
NUM191,
/**
 * Shipper's association
 * Code assigned by a shipper's association.
 **/ 
 @SEDA(PropertyTerm="192", FormName="Shipper's association",FormDescription="Code assigned by a shipper's association.")
NUM192,
/**
 * EU, European Telecommunications Informatics Services (ETIS)
 * European Telecommunications Informatics Services is anon-profit cooperative organisation owned by European public network operators, working in the field of information technology.
 **/ 
 @SEDA(PropertyTerm="193", FormName="EU, European Telecommunications Informatics Services (ETIS)",FormDescription="European Telecommunications Informatics Services is anon-profit cooperative organisation owned by European public network operators, working in the field of information technology.")
NUM193,
/**
 * AU, AQIS (Australian Quarantine and Inspection Service)
 * Australian Quarantine and Inspection Service.
 **/ 
 @SEDA(PropertyTerm="194", FormName="AU, AQIS (Australian Quarantine and Inspection Service)",FormDescription="Australian Quarantine and Inspection Service.")
NUM194,
/**
 * CO, DIAN (Direccion de Impuestos y Aduanas Nacionales)
 * The Colombian customs organization.
 **/ 
 @SEDA(PropertyTerm="195", FormName="CO, DIAN (Direccion de Impuestos y Aduanas Nacionales)",FormDescription="The Colombian customs organization.")
NUM195,
/**
 * US, COPAS (Council of Petroleum Accounting Society)
 * Organization supplying codes of oil field equipment and tubular goods used by joint operators in the petroleum industry.
 **/ 
 @SEDA(PropertyTerm="196", FormName="US, COPAS (Council of Petroleum Accounting Society)",FormDescription="Organization supplying codes of oil field equipment and tubular goods used by joint operators in the petroleum industry.")
NUM196,
/**
 * US, DISA (Data Interchange Standards Association)
 * The organization maintaining code lists under the administration of the data interchange standards association.
 **/ 
 @SEDA(PropertyTerm="197", FormName="US, DISA (Data Interchange Standards Association)",FormDescription="The organization maintaining code lists under the administration of the data interchange standards association.")
NUM197,
/**
 * CO, Superintendencia Bancaria De Colombia
 * The organization which assigns identification numbers to financial institutions conducting business in Colombia.
 **/ 
 @SEDA(PropertyTerm="198", FormName="CO, Superintendencia Bancaria De Colombia",FormDescription="The organization which assigns identification numbers to financial institutions conducting business in Colombia.")
NUM198,
/**
 * FR, Direction de la Comptabilite Publique
 * The French public accounting office.
 **/ 
 @SEDA(PropertyTerm="199", FormName="FR, Direction de la Comptabilite Publique",FormDescription="The French public accounting office.")
NUM199,
/**
 * GS1 Netherlands
 * Organisation responsible for the GS1 System in The Netherlands.
 **/ 
 @SEDA(PropertyTerm="200", FormName="GS1 Netherlands",FormDescription="Organisation responsible for the GS1 System in The Netherlands.")
NUM200,
/**
 * US, WSSA(Wine and Spirits Shippers Association)
 * United States based Wine and Spirits Shippers association.
 **/ 
 @SEDA(PropertyTerm="201", FormName="US, WSSA(Wine and Spirits Shippers Association)",FormDescription="United States based Wine and Spirits Shippers association.")
NUM201,
/**
 * PT, Banco de Portugal
 * Portuguese Central Bank.
 **/ 
 @SEDA(PropertyTerm="202", FormName="PT, Banco de Portugal",FormDescription="Portuguese Central Bank.")
NUM202,
/**
 * FR, GALIA (Groupement pour l'Amelioration des Liaisons dans l'Industrie Automobile)
 * The national organisation representing France in ODETTE (Organisation for Data Exchanges through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="203", FormName="FR, GALIA (Groupement pour l'Amelioration des Liaisons dans l'Industrie Automobile)",FormDescription="The national organisation representing France in ODETTE (Organisation for Data Exchanges through Tele-Transmission in Europe).")
NUM203,
/**
 * DE, VDA (Verband der Automobilindustrie E.V.)
 * The national organisation representing Germany in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="204", FormName="DE, VDA (Verband der Automobilindustrie E.V.)",FormDescription="The national organisation representing Germany in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).")
NUM204,
/**
 * IT, ODETTE Italy
 * The national organisation representing Italy in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="205", FormName="IT, ODETTE Italy",FormDescription="The national organisation representing Italy in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).")
NUM205,
/**
 * NL, ODETTE Netherlands
 * The national organisation representing Netherlands in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="206", FormName="NL, ODETTE Netherlands",FormDescription="The national organisation representing Netherlands in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).")
NUM206,
/**
 * ES, ODETTE Spain
 * The national organisation representing Spain in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="207", FormName="ES, ODETTE Spain",FormDescription="The national organisation representing Spain in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).")
NUM207,
/**
 * SE, ODETTE Sweden
 * The national organisation representing Scandinavian countries in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="208", FormName="SE, ODETTE Sweden",FormDescription="The national organisation representing Scandinavian countries in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).")
NUM208,
/**
 * GB, ODETTE United Kingdom
 * The national organisation representing UK in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).
 **/ 
 @SEDA(PropertyTerm="209", FormName="GB, ODETTE United Kingdom",FormDescription="The national organisation representing UK in ODETTE (Organisation for Data Exchange through Tele-Transmission in Europe).")
NUM209,
/**
 * EU, EDI for financial, informational, cost, accounting, auditing and social areas (EDIFICAS) - Europe
 * European association dealing with accounting andauditing.
 **/ 
 @SEDA(PropertyTerm="210", FormName="EU, EDI for financial, informational, cost, accounting, auditing and social areas (EDIFICAS) - Europe",FormDescription="European association dealing with accounting andauditing.")
NUM210,
/**
 * FR, EDI for financial, informational, cost, accounting, auditing and social areas (EDIFICAS) - France
 * French association dealing with accounting and auditing.
 **/ 
 @SEDA(PropertyTerm="211", FormName="FR, EDI for financial, informational, cost, accounting, auditing and social areas (EDIFICAS) - France",FormDescription="French association dealing with accounting and auditing.")
NUM211,
/**
 * DE, Deutsch Telekom AG
 * German telecommunication services agency.
 **/ 
 @SEDA(PropertyTerm="212", FormName="DE, Deutsch Telekom AG",FormDescription="German telecommunication services agency.")
NUM212,
/**
 * JP, NACCS Center (Nippon Automated Cargo Clearance System Operations Organization)
 * NACCS (Nippon Automated Cargo Clearance System Operation Organization) Center is the operations organization of the automated cargo clearance system in Japan.
 **/ 
 @SEDA(PropertyTerm="213", FormName="JP, NACCS Center (Nippon Automated Cargo Clearance System Operations Organization)",FormDescription="NACCS (Nippon Automated Cargo Clearance System Operation Organization) Center is the operations organization of the automated cargo clearance system in Japan.")
NUM213,
/**
 * US, AISI (American Iron and Steel Institute)
 * American iron and steel institute.
 **/ 
 @SEDA(PropertyTerm="214", FormName="US, AISI (American Iron and Steel Institute)",FormDescription="American iron and steel institute.")
NUM214,
/**
 * AU, APCA (Australian Payments Clearing Association)
 * Australian association responsible for the management of payment clearing.
 **/ 
 @SEDA(PropertyTerm="215", FormName="AU, APCA (Australian Payments Clearing Association)",FormDescription="Australian association responsible for the management of payment clearing.")
NUM215,
/**
 * US, Department of Labor
 * To identify the United States department of labour.
 **/ 
 @SEDA(PropertyTerm="216", FormName="US, Department of Labor",FormDescription="To identify the United States department of labour.")
NUM216,
/**
 * US, N.A.I.C. (National Association of Insurance Commissioners)
 * To identify the United States, National Association of Insurance Commissioners.
 **/ 
 @SEDA(PropertyTerm="217", FormName="US, N.A.I.C. (National Association of Insurance Commissioners)",FormDescription="To identify the United States, National Association of Insurance Commissioners.")
NUM217,
/**
 * GB, The Association of British Insurers
 * An association that administers code lists on behalf of the UK insurance community.
 **/ 
 @SEDA(PropertyTerm="218", FormName="GB, The Association of British Insurers",FormDescription="An association that administers code lists on behalf of the UK insurance community.")
NUM218,
/**
 * FR, d'ArvA
 * Value added network administering insurance code lists on behalf of the French insurance community.
 **/ 
 @SEDA(PropertyTerm="219", FormName="FR, d'ArvA",FormDescription="Value added network administering insurance code lists on behalf of the French insurance community.")
NUM219,
/**
 * FI, Finnish tax board
 * Finnish tax board.
 **/ 
 @SEDA(PropertyTerm="220", FormName="FI, Finnish tax board",FormDescription="Finnish tax board.")
NUM220,
/**
 * FR, CNAMTS (Caisse Nationale de l'Assurance Maladie des Travailleurs Salaries)
 * The French public institution funding health-care for salaried workers.
 **/ 
 @SEDA(PropertyTerm="221", FormName="FR, CNAMTS (Caisse Nationale de l'Assurance Maladie des Travailleurs Salaries)",FormDescription="The French public institution funding health-care for salaried workers.")
NUM221,
/**
 * DK, Danish National Board of Health
 * The national authority responsible for the supervision of health activities in Denmark.
 **/ 
 @SEDA(PropertyTerm="222", FormName="DK, Danish National Board of Health",FormDescription="The national authority responsible for the supervision of health activities in Denmark.")
NUM222,
/**
 * DK, Danish Ministry of Home Affairs
 * The ministry responsible for all interior affairs concerning the Danish people.
 **/ 
 @SEDA(PropertyTerm="223", FormName="DK, Danish Ministry of Home Affairs",FormDescription="The ministry responsible for all interior affairs concerning the Danish people.")
NUM223,
/**
 * US, Aluminum Association
 * Organization that assigns identification numbers for the aluminum industry.
 **/ 
 @SEDA(PropertyTerm="224", FormName="US, Aluminum Association",FormDescription="Organization that assigns identification numbers for the aluminum industry.")
NUM224,
/**
 * US, CIDX (Chemical Industry Data Exchange)
 * Organization that assigns identification numbers for the chemical Industry.
 **/ 
 @SEDA(PropertyTerm="225", FormName="US, CIDX (Chemical Industry Data Exchange)",FormDescription="Organization that assigns identification numbers for the chemical Industry.")
NUM225,
/**
 * US, Carbide Manufacturers
 * Organization that assigns identification numbers for the iron and carbide manufacturing industry.
 **/ 
 @SEDA(PropertyTerm="226", FormName="US, Carbide Manufacturers",FormDescription="Organization that assigns identification numbers for the iron and carbide manufacturing industry.")
NUM226,
/**
 * US, NWDA (National Wholesale Druggist Association)
 * Organization that assigns identification numbers for the wholesale drug industry.
 **/ 
 @SEDA(PropertyTerm="227", FormName="US, NWDA (National Wholesale Druggist Association)",FormDescription="Organization that assigns identification numbers for the wholesale drug industry.")
NUM227,
/**
 * US, EIA (Electronic Industry Association)
 * Organization that assigns identification numbers for the electronic industry.
 **/ 
 @SEDA(PropertyTerm="228", FormName="US, EIA (Electronic Industry Association)",FormDescription="Organization that assigns identification numbers for the electronic industry.")
NUM228,
/**
 * US, American Paper Institute
 * Organization that assigns identification numbers for the American paper industry.
 **/ 
 @SEDA(PropertyTerm="229", FormName="US, American Paper Institute",FormDescription="Organization that assigns identification numbers for the American paper industry.")
NUM229,
/**
 * US, VICS (Voluntary Inter-Industry Commerce Standards)
 * Organization that assigns identification numbers for the retail industry.
 **/ 
 @SEDA(PropertyTerm="230", FormName="US, VICS (Voluntary Inter-Industry Commerce Standards)",FormDescription="Organization that assigns identification numbers for the retail industry.")
NUM230,
/**
 * Copper and Brass Fabricators Council
 * Organization that assigns identification numbers for the copper and brass fabricators industry.
 **/ 
 @SEDA(PropertyTerm="231", FormName="Copper and Brass Fabricators Council",FormDescription="Organization that assigns identification numbers for the copper and brass fabricators industry.")
NUM231,
/**
 * GB, Inland Revenue
 * Code identifying the government department responsible for assessing and collecting revenue consisting of taxes and inland duties in Great Britain.
 **/ 
 @SEDA(PropertyTerm="232", FormName="GB, Inland Revenue",FormDescription="Code identifying the government department responsible for assessing and collecting revenue consisting of taxes and inland duties in Great Britain.")
NUM232,
/**
 * US, OMB (Office of Management and Budget)
 * Codes are assigned by the United States Office of Management and Budget.
 **/ 
 @SEDA(PropertyTerm="233", FormName="US, OMB (Office of Management and Budget)",FormDescription="Codes are assigned by the United States Office of Management and Budget.")
NUM233,
/**
 * DE, Siemens AG
 * Siemens AG, Germany.
 **/ 
 @SEDA(PropertyTerm="234", FormName="DE, Siemens AG",FormDescription="Siemens AG, Germany.")
NUM234,
/**
 * AU, Tradegate (Electronic Commerce Australia)
 * Australian industry body coordinating codes for use inlocal and international commerce and trade.
 **/ 
 @SEDA(PropertyTerm="235", FormName="AU, Tradegate (Electronic Commerce Australia)",FormDescription="Australian industry body coordinating codes for use inlocal and international commerce and trade.")
NUM235,
/**
 * US, United States Postal Service (USPS)
 * Code specifying the official postal service of the United States.
 **/ 
 @SEDA(PropertyTerm="236", FormName="US, United States Postal Service (USPS)",FormDescription="Code specifying the official postal service of the United States.")
NUM236,
/**
 * US, United States health industry
 * Code assigned by the United States health industry.
 **/ 
 @SEDA(PropertyTerm="237", FormName="US, United States health industry",FormDescription="Code assigned by the United States health industry.")
NUM237,
/**
 * US, TDCC (Transportation Data Coordinating Committee)
 * United States Transportation Data Coordinating Committee.
 **/ 
 @SEDA(PropertyTerm="238", FormName="US, TDCC (Transportation Data Coordinating Committee)",FormDescription="United States Transportation Data Coordinating Committee.")
NUM238,
/**
 * US, HL7 (Health Level 7)
 * United States, electronic data interchange standards-making organization, Health Level 7.
 **/ 
 @SEDA(PropertyTerm="239", FormName="US, HL7 (Health Level 7)",FormDescription="United States, electronic data interchange standards-making organization, Health Level 7.")
NUM239,
/**
 * US, CHIPS (Clearing House Interbank Payment Systems)
 * United States financial clearing house.
 **/ 
 @SEDA(PropertyTerm="240", FormName="US, CHIPS (Clearing House Interbank Payment Systems)",FormDescription="United States financial clearing house.")
NUM240,
/**
 * PT, SIBS (Sociedade Interbancaria de Servicos)
 * Portuguese automated clearing house.
 **/ 
 @SEDA(PropertyTerm="241", FormName="PT, SIBS (Sociedade Interbancaria de Servicos)",FormDescription="Portuguese automated clearing house.")
NUM241,
/**
 * US, Department of Health and Human Services
 * United States Department of Health and Human Services.
 **/ 
 @SEDA(PropertyTerm="244", FormName="US, Department of Health and Human Services",FormDescription="United States Department of Health and Human Services.")
NUM244,
/**
 * GS1 Denmark
 * Organisation responsible for the GS1 System in Denmark.
 **/ 
 @SEDA(PropertyTerm="245", FormName="GS1 Denmark",FormDescription="Organisation responsible for the GS1 System in Denmark.")
NUM245,
/**
 * GS1 Germany
 * Organisation responsible for the GS1 System in Germany.
 **/ 
 @SEDA(PropertyTerm="246", FormName="GS1 Germany",FormDescription="Organisation responsible for the GS1 System in Germany.")
NUM246,
/**
 * US, HBICC (Health Industry Business Communication Council)
 * Code identifying the United States HIBCC (Health Industry Business Communication Council).
 **/ 
 @SEDA(PropertyTerm="247", FormName="US, HBICC (Health Industry Business Communication Council)",FormDescription="Code identifying the United States HIBCC (Health Industry Business Communication Council).")
NUM247,
/**
 * US, ASTM (American Society of Testing and Materials)
 * A not-for-profit organization that provides a forum forproducers, users, ultimate consumers, and those having ageneral interest (representatives of government andacademia) to meet on common ground and write standards for materials, products, systems, and services.
 **/ 
 @SEDA(PropertyTerm="248", FormName="US, ASTM (American Society of Testing and Materials)",FormDescription="A not-for-profit organization that provides a forum forproducers, users, ultimate consumers, and those having ageneral interest (representatives of government andacademia) to meet on common ground and write standards for materials, products, systems, and services.")
NUM248,
/**
 * IP (Institute of Petroleum)
 * An independent European centre for the advancement and dissemination of technical, economic and professional knowledge relating to the international oil and gas industry.
 **/ 
 @SEDA(PropertyTerm="249", FormName="IP (Institute of Petroleum)",FormDescription="An independent European centre for the advancement and dissemination of technical, economic and professional knowledge relating to the international oil and gas industry.")
NUM249,
/**
 * US, UOP (Universal Oil Products)
 * An United States based organization that provides products, services and technology primarily in the areas of petroleum refining, olefins, aromatics, and gas processing.
 **/ 
 @SEDA(PropertyTerm="250", FormName="US, UOP (Universal Oil Products)",FormDescription="An United States based organization that provides products, services and technology primarily in the areas of petroleum refining, olefins, aromatics, and gas processing.")
NUM250,
/**
 * AU, HIC (Health Insurance Commission)
 * Australian agency responsible for administering the Health Insurance Act.
 **/ 
 @SEDA(PropertyTerm="251", FormName="AU, HIC (Health Insurance Commission)",FormDescription="Australian agency responsible for administering the Health Insurance Act.")
NUM251,
/**
 * AU, AIHW (Australian Institute of Health and Welfare)
 * Australian statutory authority responsible for the national collection of health related statistics and health related data definitions.
 **/ 
 @SEDA(PropertyTerm="252", FormName="AU, AIHW (Australian Institute of Health and Welfare)",FormDescription="Australian statutory authority responsible for the national collection of health related statistics and health related data definitions.")
NUM252,
/**
 * AU, NCCH (National Centre for Classification in Health)
 * Australian national authority responsible for healthcare classifications.
 **/ 
 @SEDA(PropertyTerm="253", FormName="AU, NCCH (National Centre for Classification in Health)",FormDescription="Australian national authority responsible for healthcare classifications.")
NUM253,
/**
 * AU, DOH (Australian Department of Health)
 * Australian government department responsible for administration of health policy.
 **/ 
 @SEDA(PropertyTerm="254", FormName="AU, DOH (Australian Department of Health)",FormDescription="Australian government department responsible for administration of health policy.")
NUM254,
/**
 * AU, ADA (Australian Dental Association)
 * Industry association responsible for the classification of dental services in Australia.
 **/ 
 @SEDA(PropertyTerm="255", FormName="AU, ADA (Australian Dental Association)",FormDescription="Industry association responsible for the classification of dental services in Australia.")
NUM255,
/**
 * US, AAR (Association of American Railroads)
 * The official United States organization of the railroads in North America.
 **/ 
 @SEDA(PropertyTerm="256", FormName="US, AAR (Association of American Railroads)",FormDescription="The official United States organization of the railroads in North America.")
NUM256,
/**
 * ECCMA (Electronic Commerce Code Management Association)
 * The Electronic Commerce Code Management Association, a not for profit membership organization, which manages codes used in electronic commerce.
 **/ 
 @SEDA(PropertyTerm="257", FormName="ECCMA (Electronic Commerce Code Management Association)",FormDescription="The Electronic Commerce Code Management Association, a not for profit membership organization, which manages codes used in electronic commerce.")
NUM257,
/**
 * JP, Japanese Ministry of Transport
 * Japanese Ministry of Transport.
 **/ 
 @SEDA(PropertyTerm="258", FormName="JP, Japanese Ministry of Transport",FormDescription="Japanese Ministry of Transport.")
NUM258,
/**
 * JP, Japanese Maritime Safety Agency
 * Japanese Maritime Safety Agency.
 **/ 
 @SEDA(PropertyTerm="259", FormName="JP, Japanese Maritime Safety Agency",FormDescription="Japanese Maritime Safety Agency.")
NUM259,
/**
 * Ediel Nordic forum
 * A code to identify Ediel Nordic forum, which is anorganization standardizing the use of EDI between the participants in the Nordic power market.
 **/ 
 @SEDA(PropertyTerm="260", FormName="Ediel Nordic forum",FormDescription="A code to identify Ediel Nordic forum, which is anorganization standardizing the use of EDI between the participants in the Nordic power market.")
NUM260,
/**
 * EEG7, European Expert Group 7 (Insurance)
 * European Expert Group 7 for Insurance.
 **/ 
 @SEDA(PropertyTerm="261", FormName="EEG7, European Expert Group 7 (Insurance)",FormDescription="European Expert Group 7 for Insurance.")
NUM261,
/**
 * DE, GDV (Gesamtverband der Deutschen Versicherungswirtschaft e.V.)
 * Gesamtverband der Deutschen Versicherungswirtschaft e.V. (German Insurance Association).
 **/ 
 @SEDA(PropertyTerm="262", FormName="DE, GDV (Gesamtverband der Deutschen Versicherungswirtschaft e.V.)",FormDescription="Gesamtverband der Deutschen Versicherungswirtschaft e.V. (German Insurance Association).")
NUM262,
/**
 * CA, CSIO (Centre for Study of Insurance Operations)
 * The Centre for Study of Insurance Operations (CSIO) in Canada.
 **/ 
 @SEDA(PropertyTerm="263", FormName="CA, CSIO (Centre for Study of Insurance Operations)",FormDescription="The Centre for Study of Insurance Operations (CSIO) in Canada.")
NUM263,
/**
 * FR, AGF (Assurances Generales de France)
 * Code lists are administered by Assurances Generales de France (AGF).
 **/ 
 @SEDA(PropertyTerm="264", FormName="FR, AGF (Assurances Generales de France)",FormDescription="Code lists are administered by Assurances Generales de France (AGF).")
NUM264,
/**
 * SE, Central bank
 * Swedish central bank.
 **/ 
 @SEDA(PropertyTerm="265", FormName="SE, Central bank",FormDescription="Swedish central bank.")
NUM265,
/**
 * US, DoA (Department of Agriculture)
 * Department of Agriculture, United States federal agency.
 **/ 
 @SEDA(PropertyTerm="266", FormName="US, DoA (Department of Agriculture)",FormDescription="Department of Agriculture, United States federal agency.")
NUM266,
/**
 * RU, Central Bank of Russia
 * Central bank of Russia.
 **/ 
 @SEDA(PropertyTerm="267", FormName="RU, Central Bank of Russia",FormDescription="Central bank of Russia.")
NUM267,
/**
 * FR, DGI (Direction Generale des Impots)
 * French taxation authority.
 **/ 
 @SEDA(PropertyTerm="268", FormName="FR, DGI (Direction Generale des Impots)",FormDescription="French taxation authority.")
NUM268,
/**
 * GRE (Reference Group of Experts)
 * An international association that administers code listson behalf of business credit information users and providers.
 **/ 
 @SEDA(PropertyTerm="269", FormName="GRE (Reference Group of Experts)",FormDescription="An international association that administers code listson behalf of business credit information users and providers.")
NUM269,
/**
 * Concord EDI group
 * An organisation of international transport equipment leasing companies and transport equipment repair providers responsible for promoting the use of EDI standards and standard business terms.
 **/ 
 @SEDA(PropertyTerm="270", FormName="Concord EDI group",FormDescription="An organisation of international transport equipment leasing companies and transport equipment repair providers responsible for promoting the use of EDI standards and standard business terms.")
NUM270,
/**
 * InterContainer InterFrigo
 * European railway associated organisation involved in the transport of containers by rail.
 **/ 
 @SEDA(PropertyTerm="271", FormName="InterContainer InterFrigo",FormDescription="European railway associated organisation involved in the transport of containers by rail.")
NUM271,
/**
 * Joint Automotive Industry agency
 * The Joint Automotive Industry (JAI) agency is in chargeof code lists that are common to automotive industry groups.
 **/ 
 @SEDA(PropertyTerm="272", FormName="Joint Automotive Industry agency",FormDescription="The Joint Automotive Industry (JAI) agency is in chargeof code lists that are common to automotive industry groups.")
NUM272,
/**
 * CH, SCC (Swiss Chambers of Commerce)
 * Swiss Chambers of Commerce.
 **/ 
 @SEDA(PropertyTerm="273", FormName="CH, SCC (Swiss Chambers of Commerce)",FormDescription="Swiss Chambers of Commerce.")
NUM273,
/**
 * ITIGG (International Transport Implementation Guidelines Group)
 * ITIGG is the UN/EDIFACT transport message development group's organisation responsible for the issuance ofglobally harmonised transport-related codes.
 **/ 
 @SEDA(PropertyTerm="274", FormName="ITIGG (International Transport Implementation Guidelines Group)",FormDescription="ITIGG is the UN/EDIFACT transport message development group's organisation responsible for the issuance ofglobally harmonised transport-related codes.")
NUM274,
/**
 * ES, Banco de España
 * The Spanish central bank.
 **/ 
 @SEDA(PropertyTerm="275", FormName="ES, Banco de España",FormDescription="The Spanish central bank.")
NUM275,
/**
 * Assigned by Port Community
 * Codes assigned by the Port Community.
 **/ 
 @SEDA(PropertyTerm="276", FormName="Assigned by Port Community",FormDescription="Codes assigned by the Port Community.")
NUM276,
/**
 * BIGNet (Business Information Group Network)
 * Identifies the Business Information Group Network, an international trade alliance that administers code listson behalf of business information users and providers.
 **/ 
 @SEDA(PropertyTerm="277", FormName="BIGNet (Business Information Group Network)",FormDescription="Identifies the Business Information Group Network, an international trade alliance that administers code listson behalf of business information users and providers.")
NUM277,
/**
 * Eurogate
 * An international trade alliance that administers codelists on behalf of business information users andproviders.
 **/ 
 @SEDA(PropertyTerm="278", FormName="Eurogate",FormDescription="An international trade alliance that administers codelists on behalf of business information users andproviders.")
NUM278,
/**
 * NL, Graydon
 * Identifies the Graydon Corporation in the Netherlands.
 **/ 
 @SEDA(PropertyTerm="279", FormName="NL, Graydon",FormDescription="Identifies the Graydon Corporation in the Netherlands.")
NUM279,
/**
 * FR, Euler
 * A company in France responsible for assigning codes in the credit insurance industry.
 **/ 
 @SEDA(PropertyTerm="280", FormName="FR, Euler",FormDescription="A company in France responsible for assigning codes in the credit insurance industry.")
NUM280,
/**
 * GS1 Belgium and Luxembourg
 * Organisation responsible for the GS1 System in Belgium and Luxembourg.
 **/ 
 @SEDA(PropertyTerm="281", FormName="GS1 Belgium and Luxembourg",FormDescription="Organisation responsible for the GS1 System in Belgium and Luxembourg.")
NUM281,
/**
 * DE, Creditreform International e.V.
 * Identifies the Creditreform International e.V. inGermany (e.V.: eingetragener Verein).
 **/ 
 @SEDA(PropertyTerm="282", FormName="DE, Creditreform International e.V.",FormDescription="Identifies the Creditreform International e.V. inGermany (e.V.: eingetragener Verein).")
NUM282,
/**
 * DE, Hermes Kreditversicherungs AG
 * Identifies the Hermes Kreditversicherungs AG in Germany (AG: Aktiengesellschaft).
 **/ 
 @SEDA(PropertyTerm="283", FormName="DE, Hermes Kreditversicherungs AG",FormDescription="Identifies the Hermes Kreditversicherungs AG in Germany (AG: Aktiengesellschaft).")
NUM283,
/**
 * TW, Taiwanese Bankers' Association
 * Code identifying the organization responsible for the issuance of bank related codes in Taiwan.
 **/ 
 @SEDA(PropertyTerm="284", FormName="TW, Taiwanese Bankers' Association",FormDescription="Code identifying the organization responsible for the issuance of bank related codes in Taiwan.")
NUM284,
/**
 * ES, Asociación Española de Banca
 * Code identifying the organization responsible for the issuance of bank related codes in Spain.
 **/ 
 @SEDA(PropertyTerm="285", FormName="ES, Asociación Española de Banca",FormDescription="Code identifying the organization responsible for the issuance of bank related codes in Spain.")
NUM285,
/**
 * SE, TCO (Tjänstemännes Central Organisation)
 * The Swedish Confederation of Professional Employees.
 **/ 
 @SEDA(PropertyTerm="286", FormName="SE, TCO (Tjänstemännes Central Organisation)",FormDescription="The Swedish Confederation of Professional Employees.")
NUM286,
/**
 * DE, FORTRAS (Forschungs- und Entwicklungsgesellschaft für Transportwesen GMBH)
 * German research and development institute for transportmatters.
 **/ 
 @SEDA(PropertyTerm="287", FormName="DE, FORTRAS (Forschungs- und Entwicklungsgesellschaft für Transportwesen GMBH)",FormDescription="German research and development institute for transportmatters.")
NUM287,
/**
 * OSJD (Organizacija Sotrudnichestva Zeleznih Dorog)
 * Code identifying OSJD, Organisation for Co-operation of Railways.
 **/ 
 @SEDA(PropertyTerm="288", FormName="OSJD (Organizacija Sotrudnichestva Zeleznih Dorog)",FormDescription="Code identifying OSJD, Organisation for Co-operation of Railways.")
NUM288,
/**
 * JP,JIPDEC/ECPC  (Japan Information Processing Development Center / Electronic Commerce Promotion Center)
 * JIPDEC/ECPC is a nonprofit foundation for promoting electronic commerce, and is the registration agency ofthe standard company code in Japan.
 **/ 
 @SEDA(PropertyTerm="289", FormName="JP,JIPDEC/ECPC  (Japan Information Processing Development Center / Electronic Commerce Promotion Center)",FormDescription="JIPDEC/ECPC is a nonprofit foundation for promoting electronic commerce, and is the registration agency ofthe standard company code in Japan.")
NUM289,
/**
 * JP, JAMA
 * Japan Automobile Manufacturers Association, Inc.
 **/ 
 @SEDA(PropertyTerm="290", FormName="JP, JAMA",FormDescription="Japan Automobile Manufacturers Association, Inc.")
NUM290,
/**
 * JP, JAPIA
 * Japan Auto Parts Industries Association.
 **/ 
 @SEDA(PropertyTerm="291", FormName="JP, JAPIA",FormDescription="Japan Auto Parts Industries Association.")
NUM291,
/**
 * FI, TIEKE The Information Technology Development Centre of Finland
 * The national organization representing Finland inelectronic data interchange for trade and industry.
 **/ 
 @SEDA(PropertyTerm="292", FormName="FI, TIEKE The Information Technology Development Centre of Finland",FormDescription="The national organization representing Finland inelectronic data interchange for trade and industry.")
NUM292,
/**
 * DE, BDEW (Bundesverband der Energie- und Wasserwirtschaft)
 * The Federal Association of Energy and Water (BDEW) is the trade association of the German industries for natural gas, electricity supply, long-distance heating and water supply.
 **/ 
 @SEDA(PropertyTerm="293", FormName="DE, BDEW (Bundesverband der Energie- und Wasserwirtschaft)",FormDescription="The Federal Association of Energy and Water (BDEW) is the trade association of the German industries for natural gas, electricity supply, long-distance heating and water supply.")
NUM293,
/**
 * GS1 Austria
 * Organisation responsible for the GS1 System in Austria.
 **/ 
 @SEDA(PropertyTerm="294", FormName="GS1 Austria",FormDescription="Organisation responsible for the GS1 System in Austria.")
NUM294,
/**
 * AU, Australian Therapeutic Goods Administration
 * Austrialian administration responsible for the regulation of the rapeutic goods in Australia.
 **/ 
 @SEDA(PropertyTerm="295", FormName="AU, Australian Therapeutic Goods Administration",FormDescription="Austrialian administration responsible for the regulation of the rapeutic goods in Australia.")
NUM295,
/**
 * ITU (International Telecommunication Union)
 * International Telecommunication Union.
 **/ 
 @SEDA(PropertyTerm="296", FormName="ITU (International Telecommunication Union)",FormDescription="International Telecommunication Union.")
NUM296,
/**
 * IT, Ufficio IVA
 * Ufficio responsabile gestione partite IVA is the ItalianInstitute issuing VAT registration numbers.
 **/ 
 @SEDA(PropertyTerm="297", FormName="IT, Ufficio IVA",FormDescription="Ufficio responsabile gestione partite IVA is the ItalianInstitute issuing VAT registration numbers.")
NUM297,
/**
 * GS1 Spain
 * Organisation responsible for the GS1 System in Spain.
 **/ 
 @SEDA(PropertyTerm="298", FormName="GS1 Spain",FormDescription="Organisation responsible for the GS1 System in Spain.")
NUM298,
/**
 * BE, Seagha
 * Organisation responsible for assigning maritime related identification numbers in Belgian ports.
 **/ 
 @SEDA(PropertyTerm="299", FormName="BE, Seagha",FormDescription="Organisation responsible for assigning maritime related identification numbers in Belgian ports.")
NUM299,
/**
 * SE, Swedish International Freight Association
 * Swedish International Freight Association (SIFA).
 **/ 
 @SEDA(PropertyTerm="300", FormName="SE, Swedish International Freight Association",FormDescription="Swedish International Freight Association (SIFA).")
NUM300,
/**
 * DE, BauDatenbank GmbH
 * The organisation responsible for issuing and maintaining commodity codes for use in the German constructionindustry.
 **/ 
 @SEDA(PropertyTerm="301", FormName="DE, BauDatenbank GmbH",FormDescription="The organisation responsible for issuing and maintaining commodity codes for use in the German constructionindustry.")
NUM301,
/**
 * DE, Bundesverband des Deutschen Textileinzelhandels e.V.
 * The organisation responsible for issuing and maintaining commodity codes for use in the German textile industry.
 **/ 
 @SEDA(PropertyTerm="302", FormName="DE, Bundesverband des Deutschen Textileinzelhandels e.V.",FormDescription="The organisation responsible for issuing and maintaining commodity codes for use in the German textile industry.")
NUM302,
/**
 * GB, Trade Service Information Ltd (TSI)
 * A United Kingdom authority responsible for the allocation of identification codes to products in thebuilding sector.
 **/ 
 @SEDA(PropertyTerm="303", FormName="GB, Trade Service Information Ltd (TSI)",FormDescription="A United Kingdom authority responsible for the allocation of identification codes to products in thebuilding sector.")
NUM303,
/**
 * DE, Bundesverband Deutscher Heimwerker-, Bau- und Gartenfachmaerkte e.V.
 * The organisation responsible for issuing and maintaining commodity codes for use in German stores for do-it-yourself, construction and garden articles.
 **/ 
 @SEDA(PropertyTerm="304", FormName="DE, Bundesverband Deutscher Heimwerker-, Bau- und Gartenfachmaerkte e.V.",FormDescription="The organisation responsible for issuing and maintaining commodity codes for use in German stores for do-it-yourself, construction and garden articles.")
NUM304,
/**
 * ETSO (European Transmission System Operator)
 * The European organisation representing the electricalindustry transmission system operators.
 **/ 
 @SEDA(PropertyTerm="305", FormName="ETSO (European Transmission System Operator)",FormDescription="The European organisation representing the electricalindustry transmission system operators.")
NUM305,
/**
 * SMDG (Ship-planning Message Design Group)
 * User Group for Shipping Lines and Container Terminals.
 **/ 
 @SEDA(PropertyTerm="306", FormName="SMDG (Ship-planning Message Design Group)",FormDescription="User Group for Shipping Lines and Container Terminals.")
NUM306,
/**
 * JP, Ministry of Justice
 * Japanese Ministry of Justice.
 **/ 
 @SEDA(PropertyTerm="307", FormName="JP, Ministry of Justice",FormDescription="Japanese Ministry of Justice.")
NUM307,
/**
 * DE, FORTRAS (Forschungs- und Entwicklungsgesellschaft fur Transportwesen mbH)
 * Research and development institute for transportmatters.
 **/ 
 @SEDA(PropertyTerm="308", FormName="DE, FORTRAS (Forschungs- und Entwicklungsgesellschaft fur Transportwesen mbH)",FormDescription="Research and development institute for transportmatters.")
NUM308,
/**
 * JP, JASTPRO (Japan Association for Simplification of International Trade Procedures)
 * JASTPRO is a nonprofit organization for simplifying international trade procedures and is the responsible agency for the registration of the "Japan Exporters and Importers Standard Code".
 **/ 
 @SEDA(PropertyTerm="309", FormName="JP, JASTPRO (Japan Association for Simplification of International Trade Procedures)",FormDescription="JASTPRO is a nonprofit organization for simplifying international trade procedures and is the responsible agency for the registration of the \"Japan Exporters and Importers Standard Code\".")
NUM309,
/**
 * DE, SAP AG (Systeme, Anwendungen und Produkte)
 *  Systeme, Anwendungen und Produkte (German software company).
 **/ 
 @SEDA(PropertyTerm="310", FormName="DE, SAP AG (Systeme, Anwendungen und Produkte)",FormDescription=" Systeme, Anwendungen und Produkte (German software company).")
NUM310,
/**
 * JP, TDB (Teikoku Databank, Ltd.)
 * TDB (Teikoku Databank, Ltd.) conducts corporate credit research and maintains company codes based on research activities for supporting business transactions in Japan.
 **/ 
 @SEDA(PropertyTerm="311", FormName="JP, TDB (Teikoku Databank, Ltd.)",FormDescription="TDB (Teikoku Databank, Ltd.) conducts corporate credit research and maintains company codes based on research activities for supporting business transactions in Japan.")
NUM311,
/**
 * FR, AGRO EDI EUROPE
 * French association developing EDI in the agricultural and food processing sectors.
 **/ 
 @SEDA(PropertyTerm="312", FormName="FR, AGRO EDI EUROPE",FormDescription="French association developing EDI in the agricultural and food processing sectors.")
NUM312,
/**
 * FR, Groupement National Interprofessionnel des Semences et Plants
 * French organization of seed and plant professionals responsible for assigning codes in the botanical seed sectors.
 **/ 
 @SEDA(PropertyTerm="313", FormName="FR, Groupement National Interprofessionnel des Semences et Plants",FormDescription="French organization of seed and plant professionals responsible for assigning codes in the botanical seed sectors.")
NUM313,
/**
 * OAGi (Open Applications Group, Incorporated)
 * Open Applications Group, Incorporated.
 **/ 
 @SEDA(PropertyTerm="314", FormName="OAGi (Open Applications Group, Incorporated)",FormDescription="Open Applications Group, Incorporated.")
NUM314,
/**
 * US, STAR (Standards for Technology in Automotive Retail)
 * Standards for Technology in Automotive Retail.
 **/ 
 @SEDA(PropertyTerm="315", FormName="US, STAR (Standards for Technology in Automotive Retail)",FormDescription="Standards for Technology in Automotive Retail.")
NUM315,
/**
 * GS1 Finland
 * Organisation responsible for the GS1 system in Finland.
 **/ 
 @SEDA(PropertyTerm="316", FormName="GS1 Finland",FormDescription="Organisation responsible for the GS1 system in Finland.")
NUM316,
/**
 * GS1 Brazil
 * Organisation responsible for the GS1 system in Brazil.
 **/ 
 @SEDA(PropertyTerm="317", FormName="GS1 Brazil",FormDescription="Organisation responsible for the GS1 system in Brazil.")
NUM317,
/**
 * IETF (Internet Engineering Task Force)
 * IETF - Internet Engineering Task Force.
 **/ 
 @SEDA(PropertyTerm="318", FormName="IETF (Internet Engineering Task Force)",FormDescription="IETF - Internet Engineering Task Force.")
NUM318,
/**
 * FR, GTF
 * Group of Terrestrial Freight Forwarders.
 **/ 
 @SEDA(PropertyTerm="319", FormName="FR, GTF",FormDescription="Group of Terrestrial Freight Forwarders.")
NUM319,
/**
 * DK, Danish National IT and Telcom Agency (ITA)
 * Code specifying the Danish National IT and Telcom Agency as codelist responsible Agency.
 **/ 
 @SEDA(PropertyTerm="320", FormName="DK, Danish National IT and Telcom Agency (ITA)",FormDescription="Code specifying the Danish National IT and Telcom Agency as codelist responsible Agency.")
NUM320,
/**
 * EASEE-Gas (European Association for the Streamlining of Energy Exchange for gas)
 * The European organization whose working group Edig@s is responsible for the management of gas related codes and messages.
 **/ 
 @SEDA(PropertyTerm="321", FormName="EASEE-Gas (European Association for the Streamlining of Energy Exchange for gas)",FormDescription="The European organization whose working group Edig@s is responsible for the management of gas related codes and messages.")
NUM321,
/**
 * IS, ICEPRO
 * Icelandic committee of e-commerce and trade procedures.
 **/ 
 @SEDA(PropertyTerm="322", FormName="IS, ICEPRO",FormDescription="Icelandic committee of e-commerce and trade procedures.")
NUM322,
/**
 * PROTECT
 * A group of European ports, national competent authorities and port community systems exchanging
information about dangerous goods and vessel movements.
 **/ 
 @SEDA(PropertyTerm="323", FormName="PROTECT",FormDescription="A group of European ports, national competent authorities and port community systems exchanginginformation about dangerous goods and vessel movements.")
NUM323,
/**
 * GS1 Ireland
 * Organisation responsible for the GS1 system in Ireland.
 **/ 
 @SEDA(PropertyTerm="324", FormName="GS1 Ireland",FormDescription="Organisation responsible for the GS1 system in Ireland.")
NUM324,
/**
 * GS1 Russia
 * Organisation responsible for the GS1 system in Russia.
 **/ 
 @SEDA(PropertyTerm="325", FormName="GS1 Russia",FormDescription="Organisation responsible for the GS1 system in Russia.")
NUM325,
/**
 * GS1 Poland
 * Organisation responsible for the GS1 system in Poland.
 **/ 
 @SEDA(PropertyTerm="326", FormName="GS1 Poland",FormDescription="Organisation responsible for the GS1 system in Poland.")
NUM326,
/**
 * GS1 Estonia
 * Organisation responsible for the GS1 system in Estonia.
 **/ 
 @SEDA(PropertyTerm="327", FormName="GS1 Estonia",FormDescription="Organisation responsible for the GS1 system in Estonia.")
NUM327,
/**
 * Assigned by ultimate recipient of the message
 * A code assigned by the party who is the ultimate recipient of the message.
 **/ 
 @SEDA(PropertyTerm="328", FormName="Assigned by ultimate recipient of the message",FormDescription="A code assigned by the party who is the ultimate recipient of the message.")
NUM328,
/**
 * Assigned by loading dock operator
 * The code is assigned by the operator of a loading dock.
 **/ 
 @SEDA(PropertyTerm="329", FormName="Assigned by loading dock operator",FormDescription="The code is assigned by the operator of a loading dock.")
NUM329,
/**
 * ebIX (European forum for energy Business Information eXchange)
 * A code to identify the European forum for energy Business Information eXchange, which is an organization standardizing the use of EDI between the participants in the European energy market.
 **/ 
 @SEDA(PropertyTerm="330", FormName="ebIX (European forum for energy Business Information eXchange)",FormDescription="A code to identify the European forum for energy Business Information eXchange, which is an organization standardizing the use of EDI between the participants in the European energy market.")
NUM330,
/**
 * DE, DVGW (Service and Consult GmbH)
 * Subsidiary of DVGW German Technical and Scientific Association for Gas and Water. As a technical standardization organization, the DVGW promotes technical standards for the production, transportation, distribution and use of gas and drinking water in the Federal Republic of Germany
 **/ 
 @SEDA(PropertyTerm="332", FormName="DE, DVGW (Service and Consult GmbH)",FormDescription="Subsidiary of DVGW German Technical and Scientific Association for Gas and Water. As a technical standardization organization, the DVGW promotes technical standards for the production, transportation, distribution and use of gas and drinking water in the Federal Republic of Germany")
NUM332,
/**
 * Mutually defined
 * A code assigned within a code list to be used on an interim basis and as defined among trading partners until a precise code can be assigned to the code list.
 **/ 
 @SEDA(PropertyTerm="ZZZ", FormName="Mutually defined",FormDescription="A code assigned within a code list to be used on an interim basis and as defined among trading partners until a precise code can be assigned to the code list.")
NUMZZZ,
/**
 * 
 * 
 **/ 
 @SEDA(PropertyTerm="", FormName="",FormDescription="")
EMPTY
}

